DAOS API: duns_attr_t Struct Reference

| DAOS API (v2.1 - dev)

Loading...
Searching...
No Matches
duns_attr_t Struct Reference

`#include <daos_uns.h>`

## Data Fields
daos_cont_layout_t | da_type
daos_oclass_id_t | da_oclass_id
daos_size_t | da_chunk_size
daos_prop_t * | da_props
uint32_t | da_flags
char | da_pool [DAOS_PROP_LABEL_MAX_LEN+1]
char | da_cont [DAOS_PROP_LABEL_MAX_LEN+1]
char * | da_sys
char * | da_rel_path
bool | da_on_lustre
bool | da_no_prefix
uuid_t | da_puuid
uuid_t | da_cuuid
daos_oclass_id_t | da_dir_oclass_id
daos_oclass_id_t | da_file_oclass_id
char | da_hints [DAOS_CONT_HINT_MAX_LEN]

## Detailed Description

struct that has the values to make the connection from the UNS to DAOS

Definition at line 52 of file daos_uns.h.

## Field Documentation

## ◆ da_chunk_size

daos_size_t da_chunk_size

IN: (Optional) For a POSIX container, set a default chunk size for all files.

Definition at line 58 of file daos_uns.h.

## ◆ da_cont

char da_cont[DAOS_PROP_LABEL_MAX_LEN+1]

OUT: Container UUID or label string.

On duns_resolve_path(), a UUID string is returned for the container that was stored on that path. If the path is a direct path, we parse the second entry (cont) in the path as either a UUID or a label. This can be used in daos_cont_open() regardless of whether it's a UUID or label. on duns_create_path(), the uuid of the container created is also populated in this field.

Definition at line 84 of file daos_uns.h.

## ◆ da_cuuid

uuid_t da_cuuid

IN/OUT: (Deprecated) Optional UUID of the cont to be created in duns_create_path().

The UUID will be used to create the container in duns_create_path() if set, otherwise a random one will be generated. The cont UUID or label is returned as a string in da_cont with duns_resolve_path().

Definition at line 120 of file daos_uns.h.

## ◆ da_dir_oclass_id

daos_oclass_id_t da_dir_oclass_id

IN: (Optional) For a POSIX container, set a default object class for all directories.

Definition at line 122 of file daos_uns.h.

## ◆ da_file_oclass_id

daos_oclass_id_t da_file_oclass_id

IN: (Optional) For a POSIX container, set a default object class for all files.

Definition at line 124 of file daos_uns.h.

## ◆ da_flags

uint32_t da_flags

IN: access flags

DUNS_NO_PREFIX DUNS_NO_REVERSE_LOOKUP DUNS_NO_CHECK_PATH

Definition at line 67 of file daos_uns.h.

## ◆ da_hints

char da_hints[DAOS_CONT_HINT_MAX_LEN]

IN: (Optional) For a POSIX container, set hints for file and dir object classes.

Definition at line 126 of file daos_uns.h.

## ◆ da_no_prefix

bool da_no_prefix

IN: (Deprecated - use flags) String does not include daos:// prefix

Path that is passed does not have daos: prefix but is direct: (/pool/cont/xyz) and does not need to parse a path for the UNS attrs. This is usually set to false.

Definition at line 107 of file daos_uns.h.

## ◆ da_oclass_id

daos_oclass_id_t da_oclass_id

IN: (Optional) For a POSIX container, set a default object class for all objects.

Definition at line 56 of file daos_uns.h.

## ◆ da_on_lustre

bool da_on_lustre

OUT: This is set to true if path is on Lustre filesystem

Definition at line 101 of file daos_uns.h.

## ◆ da_pool

char da_pool[DAOS_PROP_LABEL_MAX_LEN+1]

OUT: Pool UUID or label string.

On duns_resolve_path(), a UUID string is returned for the pool that was stored on that path. If the path is a direct path, we parse the first entry (pool) in the path as either a UUID or a label. This can be used in daos_pool_connect() regardless of whether it's a UUID or label.

Definition at line 75 of file daos_uns.h.

## ◆ da_props

daos_prop_t* da_props

IN: (Optional Container props to be added with duns_path_create

Definition at line 60 of file daos_uns.h.

## ◆ da_puuid

uuid_t da_puuid

IN/OUT: (Deprecated) Pool UUID of the container to be created in duns_create_path().

The pool UUID is now obtained from the pool handle in duns_create_path(). The pool UUID is returned as a string in da_pool with duns_resolve_path().

Definition at line 113 of file daos_uns.h.

## ◆ da_rel_path

char* da_rel_path

OUT: Relative component of path from where the UNS entry is located (returned on duns_resolve_path()).

This is returned if the UNS entry is not the last entry in the path, and the UNS library performs a reverse lookup to find a UNS entry in the path. To check only the last entry in the path and not return this relative path to that entry, set DUNS_NO_REVERSE_LOOKUP on da_flags.

Definition at line 99 of file daos_uns.h.

## ◆ da_sys

char* da_sys

OUT: DAOS System Name. (The UNS does not maintain this yet, and this is not set)

On duns_resolve_path(), the daos system name is returned that can be used on daos_pool_connect().

Definition at line 90 of file daos_uns.h.

## ◆ da_type

daos_cont_layout_t da_type

IN/OUT: Container layout (POSIX, HDF5, Python, etc.)

Definition at line 54 of file daos_uns.h.

The documentation for this struct was generated from the following file:

- src/include/daos_uns.h